Skip to content

Update a notification-channel

PUT
/notification-channels/{id}
id
required
string

DocumentId

object
data
object
name
required
string
channel_type
string
Allowed values: slack teams discord generic_webhook
webhook_url

DEPRECATED plaintext field — retained read-only for pre-encryption legacy rows. New writes always go to encrypted_webhook_url. NEVER returned by the API.

string
encrypted_webhook_url

AES-256-GCM encrypted webhook_url (F3.CHATOPS.01) — same iv:authTag:ciphertext:salt format as BYOC cloud-credential (src/utils/credential-crypto.ts). NEVER returned by the API; decrypted only server-side by webhook-notifier for dispatch.

string
events_filter

Array of subscribed event-type strings. Canonical catalog (F3.CHATOPS.01): ‘billing.payment_failed’, ‘billing.trial_ending’, ‘cloud-instance.provision_failed’, ‘alert.fired’. Empty/null = all events.

enabled
boolean
last_sent_at
string format: date-time
failure_count
integer
organisation
One of:

DocumentId reference to api::organisation.organisation

string

Updated

object
data
object
name
required
string
channel_type
string
Allowed values: slack teams discord generic_webhook
webhook_url

DEPRECATED plaintext field — retained read-only for pre-encryption legacy rows. New writes always go to encrypted_webhook_url. NEVER returned by the API.

string
encrypted_webhook_url

AES-256-GCM encrypted webhook_url (F3.CHATOPS.01) — same iv:authTag:ciphertext:salt format as BYOC cloud-credential (src/utils/credential-crypto.ts). NEVER returned by the API; decrypted only server-side by webhook-notifier for dispatch.

string
events_filter

Array of subscribed event-type strings. Canonical catalog (F3.CHATOPS.01): ‘billing.payment_failed’, ‘billing.trial_ending’, ‘cloud-instance.provision_failed’, ‘alert.fired’. Empty/null = all events.

enabled
boolean
last_sent_at
string format: date-time
failure_count
integer
organisation
One of:

DocumentId reference to api::organisation.organisation

string
documentId
string
id
integer
createdAt
string format: date-time
updatedAt
string format: date-time
publishedAt
string format: date-time
nullable

Validation error

Missing or invalid authentication

Not authorized (tenant scope or capability)

Not found